package com.tzld.piaoquan.ad.engine.service.predict.config;

public class RuleRedisKeyConst {
//         用户组有广告时的分享率预测结果存放 redis key 前缀，完整格式：ad:users:group:predict:share:rate:{user_data_key}:{date}
    public static String KEY_NAME_PREFIX_AD_GROUP="ad:users:group:predict:share:rate:";
//    视频有广告时的分享率预测结果存放 redis key 前缀，完整格式：ad:video:predict:share:rate:{video_data_key}:{date}
    public static String KEY_NAME_PREFIX_AD_VIDEO="ad:video:predict:share:rate:";
//    用户分组结果存放 redis key 前缀，完整格式：mid:group:{class_key}:{mid}
    public static String KEY_NAME_PREFIX_MID_GROUP="mid:group:";
//    广告推荐阈值结果存放 redis key 前缀，完整格式：ad:threshold:{abtestId}:{abtestConfigTag}:{abtestGroup}:{group}
    public static String KEY_NAME_PREFIX_AD_THRESHOLD="ad:threshold:";
//    广告推荐关怀模式实验阈值结果存放 redis key 前缀，完整格式：ad:threshold:care:{abtestId}:{abtestConfigTag}:{abtestGroup}:{group}
    public static String KEY_NAME_PREFIX_AD_THRESHOLD_CARE_MODEL="ad:threshold:care:";
//    特定视频不出广告视频列表存放 redis key 前缀，完整格式：no:ad:videos:{appType}
    public static String KEY_NAME_PREFIX_NO_AD_VIDEOS="no:ad:videos:";
//    有广告时的用户跳出模型离线分数 redis key 前缀，完整格式：ad:out:model:score:user:{model_key}:{mid}
    public static String KEY_NAME_PREFIX_AD_OUT_MODEL_SCORE_USER="ad:out:model:score:user:";
//    有广告时的视频跳出模型离线分数 redis key 前缀，完整格式：ad:out:model:score:video:{model_key}:{videoid}
    public static String KEY_NAME_PREFIX_AD_OUT_MODEL_SCORE_ITEM="ad:out:model:score:item:";
//        # 有广告时的视频跳出模型策略配置  redis key 前缀，完整格式：ad:out:model:config:{model_key}:{abtest_id}:{abtest_config_tag}:{config}
    public static String KEY_NAME_PREFIX_AD_OUT_MODEL_CONFIG="ad:out:model:config:";
}
